package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("health_cust_medical_report")
@ApiModel("人员体检报告表")
public class HealthCustMedicalReport implements Serializable {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("体检id")
   private Long medicalId;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("体检日期")
   private LocalDate medicalDate;
   @ApiModelProperty("体检机构")
   private String medicalMechanism;
   @ApiModelProperty("体检模板id")
   private Long medicalTemplateId;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getMedicalId() {
      return this.medicalId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public LocalDate getMedicalDate() {
      return this.medicalDate;
   }

   public String getMedicalMechanism() {
      return this.medicalMechanism;
   }

   public Long getMedicalTemplateId() {
      return this.medicalTemplateId;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMedicalId(final Long medicalId) {
      this.medicalId = medicalId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setMedicalDate(final LocalDate medicalDate) {
      this.medicalDate = medicalDate;
   }

   public void setMedicalMechanism(final String medicalMechanism) {
      this.medicalMechanism = medicalMechanism;
   }

   public void setMedicalTemplateId(final Long medicalTemplateId) {
      this.medicalTemplateId = medicalTemplateId;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
